Standby Virtual Machine Pools - Create Or Update
Erstellen einer StandbyVirtualMachinePoolResource
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/{standbyVirtualMachinePoolName}?api-version=2026-04-01
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet. |
|
standby
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,24}$ |
Name des virtuellen Standbycomputerpools |
|
subscription
|
path | True |
string (uuid) |
Die ID des Zielabonnements. Der Wert muss eine UUID sein. |
|
api-version
|
query | True |
string minLength: 1 |
Die API-Version, die für diesen Vorgang verwendet werden soll. |
Anforderungstext
| Name | Erforderlich | Typ | Beschreibung |
|---|---|---|---|
| location | True |
string |
Der geografische Standort, an dem sich die Ressource befindet |
| properties.virtualMachineState | True |
Gibt den gewünschten Zustand virtueller Computer im Pool an. |
|
| properties.attachedVirtualMachineScaleSetId |
string (arm-id) |
Gibt die vollqualifizierte Ressourcen-ID eines VM-Skalierungssatzes an, dem der Pool angefügt ist. |
|
| properties.elasticityProfile |
Gibt dasLastizitätsprofil der Virtuellen Standby-Computerpools an. |
||
| properties.vmStateDistribution |
Spezifiziert die Verteilung der virtuellen Maschinenzustände im Pool, wenn virtualMachineState auf Mix gesetzt ist. |
||
| tags |
object |
Ressourcentags. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
Der Aktualisierungsvorgang für die Ressource "StandbyVirtualMachinePoolResource" war erfolgreich |
|
| 201 Created |
Der Erstellungsvorgang der Ressource 'StandbyVirtualMachinePoolResource' war erfolgreich Header Retry-After: integer |
|
| Other Status Codes |
Unerwartete Fehlerantwort. |
Sicherheit
azure_auth
Azure Active Directory OAuth2-Fluss.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name | Beschreibung |
|---|---|
| user_impersonation | Identitätswechsel ihres Benutzerkontos |
Beispiele
|
Standby |
|
Standby |
StandbyVirtualMachinePools_CreateOrUpdate
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool?api-version=2026-04-01
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Running",
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss"
},
"tags": {},
"location": "West US"
}
Beispiel für eine Antwort
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Running",
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss",
"provisioningState": "Succeeded"
},
"tags": {},
"location": "West US",
"id": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool",
"name": "pool",
"type": "Microsoft.StandbyPool/standbyVirtualMachinePools",
"systemData": {
"createdBy": "pooluser@microsoft.com",
"createdByType": "User",
"createdAt": "2023-09-07T16:33:22.210Z",
"lastModifiedBy": "pooluser@microsoft.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-09-07T16:33:22.210Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Running",
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss",
"provisioningState": "Succeeded"
},
"tags": {},
"location": "West US",
"id": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool",
"name": "pool",
"type": "Microsoft.StandbyPool/standbyVirtualMachinePools",
"systemData": {
"createdBy": "pooluser@microsoft.com",
"createdByType": "User",
"createdAt": "2023-09-07T16:33:22.210Z",
"lastModifiedBy": "pooluser@microsoft.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-09-07T16:33:22.210Z"
}
}
StandbyVirtualMachinePools_CreateOrUpdate_MixState
Beispielanforderung
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool?api-version=2026-04-01
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Mix",
"vmStateDistribution": {
"runningPercent": 20,
"deallocatedPercent": 80,
"hibernatedPercent": 0
},
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss"
},
"tags": {},
"location": "West US"
}
Beispiel für eine Antwort
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Mix",
"vmStateDistribution": {
"runningPercent": 20,
"deallocatedPercent": 80,
"hibernatedPercent": 0
},
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss",
"provisioningState": "Succeeded"
},
"tags": {},
"location": "West US",
"id": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool",
"name": "pool",
"type": "Microsoft.StandbyPool/standbyVirtualMachinePools",
"systemData": {
"createdBy": "pooluser@microsoft.com",
"createdByType": "User",
"createdAt": "2023-09-07T16:33:22.210Z",
"lastModifiedBy": "pooluser@microsoft.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-09-07T16:33:22.210Z"
}
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
"properties": {
"elasticityProfile": {
"maxReadyCapacity": 304,
"minReadyCapacity": 300,
"postProvisioningDelay": "PT2S",
"dynamicSizing": {
"enabled": true
}
},
"virtualMachineState": "Mix",
"vmStateDistribution": {
"runningPercent": 20,
"deallocatedPercent": 80,
"hibernatedPercent": 0
},
"attachedVirtualMachineScaleSetId": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.Compute/virtualMachineScaleSets/myVmss",
"provisioningState": "Succeeded"
},
"tags": {},
"location": "West US",
"id": "/subscriptions/00000000-0000-0000-0000-000000000009/resourceGroups/rgstandbypool/providers/Microsoft.StandbyPool/standbyVirtualMachinePools/pool",
"name": "pool",
"type": "Microsoft.StandbyPool/standbyVirtualMachinePools",
"systemData": {
"createdBy": "pooluser@microsoft.com",
"createdByType": "User",
"createdAt": "2023-09-07T16:33:22.210Z",
"lastModifiedBy": "pooluser@microsoft.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2023-09-07T16:33:22.210Z"
}
}
Definitionen
| Name | Beschreibung |
|---|---|
|
created |
Der Identitätstyp, der die Ressource erstellt hat. |
|
Dynamic |
Gibt die Konfiguration der dynamischen Größenanpassung an. |
|
Error |
Der Ressourcenverwaltungsfehler zusätzliche Informationen. |
|
Error |
Das Fehlerdetails. |
|
Error |
Fehlerantwort |
|
Provisioning |
Bereitstellungsstatus |
|
Standby |
Details zum Elastizitätsprofil. |
|
Standby |
Eine StandbyVirtualMachinePoolResource. |
|
system |
Metadaten zur Erstellung und letzten Änderung der Ressource. |
|
Virtual |
Status der Standby-VMs |
|
Vm |
Spezifiziert die Verteilung der virtuellen Maschinenzustände im Pool. |
createdByType
Der Identitätstyp, der die Ressource erstellt hat.
| Wert | Beschreibung |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DynamicSizing
Gibt die Konfiguration der dynamischen Größenanpassung an.
| Name | Typ | Beschreibung |
|---|---|---|
| enabled |
boolean |
Gibt an, ob die dynamische Größenanpassung für den Standby-Pool aktiviert ist. |
ErrorAdditionalInfo
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name | Typ | Beschreibung |
|---|---|---|
| info |
object |
Die zusätzlichen Informationen. |
| type |
string |
Der zusätzliche Informationstyp. |
ErrorDetail
Das Fehlerdetails.
| Name | Typ | Beschreibung |
|---|---|---|
| additionalInfo |
Die zusätzlichen Informationen des Fehlers. |
|
| code |
string |
Der Fehlercode. |
| details |
Die Fehlerdetails. |
|
| message |
string |
Die Fehlermeldung. |
| target |
string |
Das Fehlerziel. |
ErrorResponse
Fehlerantwort
| Name | Typ | Beschreibung |
|---|---|---|
| error |
Das Fehlerobjekt. |
ProvisioningState
Bereitstellungsstatus
| Wert | Beschreibung |
|---|---|
| Succeeded |
Ressource wurde erstellt. |
| Failed |
Fehler bei der Ressourcenerstellung. |
| Canceled |
Die Ressourcenerstellung wurde abgebrochen. |
| Deleting |
Die Ressource wird gelöscht. |
StandbyVirtualMachinePoolElasticityProfile
Details zum Elastizitätsprofil.
| Name | Typ | Beschreibung |
|---|---|---|
| dynamicSizing |
Gibt die Konfiguration der dynamischen Größenanpassung an. |
|
| maxReadyCapacity |
integer (int64) minimum: 0 |
Gibt die maximale Anzahl virtueller Computer im Pool des virtuellen Standbycomputers an. |
| minReadyCapacity |
integer (int64) minimum: 0 |
Gibt die gewünschte Mindestanzahl virtueller Computer im Pool des virtuellen Standbycomputers an. MinReadyCapacity darf MaxReadyCapacity nicht überschreiten. |
| postProvisioningDelay |
string |
Gibt die Dauer an, die nach der Bereitstellung virtueller Maschinen gewartet werden soll, bevor die virtuelle Maschine zur Verwendung verfügbar ist. Die Dauer sollte im ISO 8601-Format angegeben werden (z. B. PT2S für 2 Sekunden). |
StandbyVirtualMachinePoolResource
Eine StandbyVirtualMachinePoolResource.
| Name | Typ | Beschreibung |
|---|---|---|
| id |
string (arm-id) |
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| location |
string |
Der geografische Standort, an dem sich die Ressource befindet |
| name |
string |
Der Name der Ressource |
| properties.attachedVirtualMachineScaleSetId |
string (arm-id) |
Gibt die vollqualifizierte Ressourcen-ID eines VM-Skalierungssatzes an, dem der Pool angefügt ist. |
| properties.elasticityProfile |
Gibt dasLastizitätsprofil der Virtuellen Standby-Computerpools an. |
|
| properties.provisioningState |
Der Status des letzten Vorgangs. |
|
| properties.virtualMachineState |
Gibt den gewünschten Zustand virtueller Computer im Pool an. |
|
| properties.vmStateDistribution |
Spezifiziert die Verteilung der virtuellen Maschinenzustände im Pool, wenn virtualMachineState auf Mix gesetzt ist. |
|
| systemData |
Azure Resource Manager-Metadaten, die createdBy- und modifiedBy-Informationen enthalten. |
|
| tags |
object |
Ressourcentags. |
| type |
string |
Der Typ der Ressource. Z. B. "Microsoft.Compute/virtualMachines" oder "Microsoft.Storage/storageAccounts" |
systemData
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name | Typ | Beschreibung |
|---|---|---|
| createdAt |
string (date-time) |
Der Zeitstempel der Ressourcenerstellung (UTC). |
| createdBy |
string |
Die Identität, die die Ressource erstellt hat. |
| createdByType |
Der Identitätstyp, der die Ressource erstellt hat. |
|
| lastModifiedAt |
string (date-time) |
Der Zeitstempel der letzten Änderung der Ressource (UTC) |
| lastModifiedBy |
string |
Die Identität, die die Ressource zuletzt geändert hat. |
| lastModifiedByType |
Der Identitätstyp, der die Ressource zuletzt geändert hat. |
VirtualMachineState
Status der Standby-VMs
| Wert | Beschreibung |
|---|---|
| Running |
Der virtuelle Computer ist betriebsbereit. |
| Deallocated |
Der virtuelle Computer hat die Lease für die zugrunde liegende Hardware freigegeben und ist ausgeschaltet. |
| Hibernated |
Der virtuelle Computer hat die Lease für die zugrunde liegende Hardware freigegeben und ist ausgeschaltet. Der Arbeitsspeicherinhalt des virtuellen Computers wird auf dem Betriebssystemdatenträger gespeichert. Beim erneuten Start werden Anwendungen und Prozesse, die zuvor auf Ihrer VM ausgeführt wurden, aus dem Zustand vor dem Ruhezustand fortgesetzt. |
| Mix |
Der Pool enthält eine Mischung aus virtuellen Maschinen in verschiedenen Zuständen, wie durch die vmStateDistribution-Eigenschaft definiert. |
VmStateDistribution
Spezifiziert die Verteilung der virtuellen Maschinenzustände im Pool.
| Name | Typ | Beschreibung |
|---|---|---|
| deallocatedPercent |
integer (int32) minimum: 0maximum: 100 |
Spezifiziert den Prozentsatz der virtuellen Maschinen im dezugeordneten Zustand im Standby-Pool. |
| hibernatedPercent |
integer (int32) minimum: 0maximum: 100 |
Spezifiziert den Prozentsatz der virtuellen Maschinen im Ruhezustand im Standby-Pool. |
| runningPercent |
integer (int32) minimum: 0maximum: 100 |
Spezifiziert den Prozentsatz der virtuellen Maschinen im laufenden Zustand im Standby-Pool. |